//+------------------------------------------------------------------+
//|                                                rsi-trix-test.mq5 |
//|                                                     Hamdi FOUZAI |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Hamdi FOUZAI"
#property link      "https://www.mql5.com"
#property version   "1.00"

#include <GetIndicatorBuffers.mqh>

//+--------------+
//| RSI Array    |
//+--------------+

//---- arrays for indicators
double      RSI[];                // array for the indicator iRSI
//---- handles for indicators
int         RSI_handle;           // handle of the indicator iRSI


//+--------------+
//| TRIX Array   |
//+--------------+

//---- arrays for indicators
double      TriX[];                // array for the indicator iTriX
//---- handles for indicators
int         TriX_handle;           // handle of the indicator iTriX


//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---

//+--------------+
//| RSI          |
//+--------------+

//--- creation of the indicator iRSI
   RSI_handle=iRSI(NULL,0,21,PRICE_CLOSE);
//--- report if there was an error in object creation
   if(RSI_handle<0)
     {
      Print("The creation of iRSI has failed: Runtime error =",GetLastError());
      //--- forced program termination
      return(-1);
     }
   return(0);
   

//+--------------+
//| TRIX         |
//+--------------+   
   
//--- creation of the indicator iTriX
   TriX_handle=iTriX(NULL,0,20,PRICE_CLOSE);
//--- report if there was an error in object creation
   if(TriX_handle<0)
     {
      Print("The creation of iTriX has failed: Runtime error =",GetLastError());
      //--- forced program termination
      return(-1);
     }
   return(0);  
   
SetIndexBuffer(0,RSI,INDICATOR_DATA); 
SetIndexBuffer(1,TriX,INDICATOR_DATA);   
   
//---
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
//---
   
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
//---

//+--------------+
//| RSI          |
//+--------------+

//--- filling an array RSI[] with current values of iRSI
//--- set indexation of array RSI[] as timeserie
//--- return if there was an error
   if(!CopyBufferAsSeries(RSI_handle,0,0,100,true,RSI)) return;
   
Print("rsi value: ",RSI[0]);  

//+--------------+
//| TRIX         |
//+--------------+   

//--- filling an array TriX[] with current values of iTriX
//--- set indexation of array TriX[] as timeseries
//--- return if there was an error
   if(!CopyBufferAsSeries(TriX_handle,1,100,100,true,TriX)) return; 
   
     
 
Print("rsi value: ",TriX[0]);   

  }
//+------------------------------------------------------------------+
